<!DOCTYPE html>
<html>

<head>
  <!-- Basic -->
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <!-- Mobile Metas -->
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <!-- Site Metas -->
  <link rel="icon" href="images/favicon.png" type="image/gif" />
  <meta name="keywords" content="" />
  <meta name="description" content="" />
  <meta name="author" content="" />

  <title>My class Online</title>


  <!-- bootstrap core css -->
  <link rel="stylesheet" type="text/css" href="css/bootstrap.css" />

  <!-- fonts style -->
  <link href="https://fonts.googleapis.com/css?family=Poppins:400,600,700&display=swap" rel="stylesheet" />

  <!-- font awesome style -->
  <link href="css/font-awesome.min.css" rel="stylesheet" />
  <!-- owl carousel -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css" integrity="sha256-UhQQ4fxEeABh4JrcmAJ1+16id/1dnlOEVCFOxDef9Lw=" crossorigin="anonymous" />
  <!-- Custom styles for this template -->
  <link href="css/style.css" rel="stylesheet" />
  <!-- responsive style -->
  <link href="css/responsive.css" rel="stylesheet" />
  <script src="https://unpkg.com/vue@3"></script>
<!-- VueJs -->

</head>

<body class="sub_page">

  <div class="hero_area">
    <!-- header section strats -->
    <header class="header_section ">
      <div class="container-fluid">
        <nav class="navbar navbar-expand-lg custom_nav-container ">
          <a class="navbar-brand" th:href="@{/}">
            <span>
              My class Online
            </span>
          </a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class=""> </span>
          </button>

          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <div class="d-flex mx-auto flex-column flex-lg-row align-items-center">
              <ul class="navbar-nav  ">
                <li class="nav-item ">
                    <a class="nav-link" th:href="@{/}">Home </a>
                </li>
                <li th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" class="nav-item ">
                  <a class="nav-link" th:href="@{/admin}">ADMIN </a>
              </li>
                <li class="nav-item">
                    <a class="nav-link" th:href="@{/about}" > About</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" th:href="@{/course}">Courses <span
                            class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" th:href="@{/teacher}">Teachers</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" th:href="@{/contact}">Contact Us</a>
                </li>
            </ul>
            </div>
            <div class="quote_btn-container">
              <a href="">
                <span>
                  Login
                </span>
                <i class="fa fa-user" aria-hidden="true"></i>
              </a>
              <!-- <form class="form-inline">
                <button class="btn  my-2 my-sm-0 nav_search-btn" type="submit">
                  <i class="fa fa-search" aria-hidden="true"></i>
                </button>
              </form> -->
            </div>
          </div>
        </nav>
      </div>
    </header>
    <!-- end header section -->
  </div>

  <!-- teacher section -->
  

  <section id="app" class="teacher_section layout_padding">
  <!-- Declenche fetchTeachers -->
  

    <div class="container">
      <div class="heading_container heading_center">
        <button @click="fetchTeachers()" class="btn-box"style="background-color: transparent;
  color: #0e3746;display: inline-block;
  padding: 20px 45px;
  background-color: #0e3746;
  color: #ffffff;
  border-radius: 0;
  border: 1px solid #0e3746;
  -webkit-transition: all .2s;
  transition: all .2s;"><span><h1>Show all teachers</h1> </span></button>
        
      </div>

      <div class="row">
        <div v-for="teacher in teachers" class="col-sm-6 col-lg-3" :key="teacher.userId">
          <div  class="box">
            <div class="img-box">
              <div class="crop">
              <img :src="teacher.image" alt="">
            </div>
            </div>
            <div class="detail-box">
              <h5>
               {{teacher.firstName}}
              </h5>
              <div>
              <td>
                <a :href="'/profile/'+teacher.userId"> VIEW PROFILE</a>
              </td>
            </div>
            </div>
          </div>
        </div>
        
      </div>
      
    </div>
  </section>

  <!-- end teacher section -->

  <!-- info section -->
  <section class="info_section ">

    <div class="container">
      <div class="info_top ">
        <div class="row ">
          <div class="col-sm-6 col-md-4 col-lg-3">
            <div class="info_detail">
              <a href="index.html">
                <h4>
                  My class online
                </h4>
              </a>
              <p>
This plateform was created in February 2022 by khaled Razouk              </p>
              <div class="social_box">
                <a href="">
                  <i class="fa fa-facebook" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-twitter" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-linkedin" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-instagram" aria-hidden="true"></i>
                </a>
              </div>
            </div>
          </div>
          <div class="col-sm-6 col-md-4 col-lg-3 mx-auto">
            <h4>
              Contact us
            </h4>
            <p>
Join our team to teach with us the students who need help            </p>
            <div class="contact_nav">
              <a href="">
                <i class="fa fa-map-marker" aria-hidden="true"></i>
                <span>
                  Location
                </span>
              </a>
              <a href="">
                <i class="fa fa-phone" aria-hidden="true"></i>
                <span>
                  Call : +33 760228099
                </span>
              </a>
              <a href="">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span>
                  Email : khaled_razouk@hotmail.com
                </span>
              </a>
            </div>
          </div>
          
        </div>
      </div>
    </div>
  </section>
  <!-- end info_section -->
  <!-- footer section -->
  <footer class="footer_section">
    <div class="container">
      <p>
        &copy; <span id="displayYear"></span> All Rights Reserved By KHALED RAZOUK
      </p>
    </div>
  </footer>
  <!-- footer section -->
  <script>
    Vue.createApp({
    data() {
        return {
          //vars from the rest controller
            teachers: [],
            profile:'',
        }
      
    },
    methods: {
      //method to show all teachers list
        async fetchTeachers() {
          //conect to the api rest controller 
            const reponse = await fetch('/api/displayAllTeachers');
            //bring the file JSON with the information
            this.teachers = await reponse.json();
        },
    }
}).mount('#app')

</script>

</body>

</html>